Still no full support OpenGL 3.0?

Discussion in 'Videocards - NVIDIA GeForce Drivers Section' started by elrazor, Jan 31, 2009.

  1. elrazor

    elrazor Master Guru

    Messages:
    367
    Likes Received:
    5
    GPU:
    970GTX G1 1591/7452
    Ive just updated to the latest Everest Ultimate 4.60.1626 Beta, they added CUDA page, and new OpenGL detection.. and look what we got - OpenGL 3.0 - No (85%)
    What this mean?
    [​IMG]
     
    Last edited: Jan 31, 2009
  2. bala_gamer

    bala_gamer Master Guru

    Messages:
    363
    Likes Received:
    0
    GPU:
    ASUS STRIX NVIDIA 1070GTX
    Regarding Opengl 3.0 support 185.20 driver is much superior to all the other drivers, and it had 176 opengl extensions for me(8600 gt) while the others including 181.22 whql has only 170 extensions!!:wanker:

    Use this software to find info about opengl in details
    http://www.realtech-vr.com/glview/download.html
     
  3. F1refly

    F1refly Ancient Guru

    Messages:
    9,042
    Likes Received:
    0
    GPU:
    970GTX-oc edition
    opengl 3.0 doesnt really add anything, plus no games use it, so who cares
     
  4. elrazor

    elrazor Master Guru

    Messages:
    367
    Likes Received:
    5
    GPU:
    970GTX G1 1591/7452
    And 181.22 WHQL is latest than 185
     

  5. Loster

    Loster Member Guru

    Messages:
    189
    Likes Received:
    14
    GPU:
    GTX 1080
    Im on Forceware 185.20 and Vista x64.

    and i got 85% on GL3.0 as well.

    But regarding to the OpenGL extension Viewer, the two features which are missing are APPLEs Macintosh specific. So no use for Windows users.

    [​IMG]
     
  6. Nihilkrist

    Nihilkrist Master Guru

    Messages:
    263
    Likes Received:
    0
    GPU:
    2 x Inno3D GTX260
    Are there even any opengl 3 games in the works at the moment?

    Twud be nice if it became a little more popular, especially since opengl games tend to run perfectly under wine.
     
  7. HaZe303

    HaZe303 Ancient Guru

    Messages:
    1,944
    Likes Received:
    0
    GPU:
    RTX 2070 Super
    Youre absolutely right! I dont know why all nag about OpenGL extensions, as they are almost useless today as no games use it. Hopefully in the future as I bet ID´s new engine will be OpenGL 3.0?? I think?

    But until then there is no use of changing drivers just for OGL extensions.

    Ps. BTW, I have 100% extensions on OpenGL Xtensions Viewer? All 21 of them? 100% on Everest as well(everest version 5.00.1655) Strange?
     
    Last edited: Feb 11, 2009
  8. cmf

    cmf New Member

    Messages:
    1
    Likes Received:
    0
    GPU:
    Asus EN8800 GTX
    to clear things up: nvidia does _fully_ support opengl 3.0
    glview and everest are just too dumb to recognize it.

    both GL_APPLE_flush_buffer_range and GL_APPLE_vertex_array_object are in core opengl 3.0 (-> no extension is needed to use that functionality), so there is no need for nvidia to expose obsolete extensions. besides GL_ARB_vertex_array_object (ARB/final version of the APPLE extension) is exposed for opengl 2.x reasons, so it can be used in opengl 2.x contexts.

    and concerning "unsupported" glsl 1.30: glview doesn't create an opengl 3.0 context atm, so it can't recognize glsl 1.30. it's actually supported by nvidia since their first opengl 3.0 beta driver.
     
  9. BlueSteel

    BlueSteel Member

    Messages:
    45
    Likes Received:
    0
    GPU:
    ASUS GTX570 @ 880MHz
    182.05 show full OpenGL 3.0 support in glview, those two apple extensions are present and shading language version is 1.30.
     

Share This Page